const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const ziflow_workflows = sequelize.define(
    'ziflow_workflows',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

workflow_name: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  ziflow_workflows.associate = (db) => {

    db.ziflow_workflows.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.ziflow_workflows.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return ziflow_workflows;
};

